# DirectoryIterator::getGroup

(PHP 5, PHP 7)

DirectoryIterator::getGroup — Get group for the current DirectoryIterator item

### Description

public DirectoryIterator::getGroup ( void ) : int

Get the group id of the file.

### Parameters

This function has no parameters.

### Return Values

Returns the group id of the current DirectoryIterator item in numerical format.

### Examples

Example #1 DirectoryIterator::getGroup() example

`<?php
$iterator = new DirectoryIterator(dirname(__FILE__));
$groupid = $iterator->getGroup();
echo 'Directory belongs to group id ' . $groupid . "\n";
print_r(posix_getgrgid($groupid));
?>`

The above example will output something similar to:

    Directory belongs to group id 42
    Array
    (
        [name]    => toons
        [passwd]  => x
        [members] => Array
            (
                [0] => tom
                [1] => jerry
            )
        [gid]     => 42
    )

### See Also

- DirectoryIterator::getiNode() - Get inode for the current DirectoryIterator item
- DirectoryIterator::getOwner() - Get owner of current DirectoryIterator item
- DirectoryIterator::getPerms() - Get the permissions of current DirectoryIterator item
- filegroup() - Gets file group
- posix_getgrgid() - Return info about a group by group id